<?php

$nombre = $_POST ['nombre'];
$email = $_POST['email'] ; 
$motivo = $_POST ['motivo'];
$mensaje = $_POST ['solicitud'];

/*
echo $email ; 

$nombre = 'Guimel Carrasco' ;
$email = 'gcarrasco@xnear.cl' ;
$motivo = 'Solicito presentacion del producto' ;
$mensaje = 'Solicito presentacion del producto, pues no contamos con sw que controle esto' ;
*/


date_default_timezone_set('America/Santiago');

require_once('phpmailer/class.phpmailer.php') ;
require_once('phpmailer/class.smtp.php') ;

$mail = new PHPMailer;
$mail->isSMTP();

//Enable SMTP debugging
// 0 = off (for production use)
//1 = client messages
//2 = client and server messages
// $mail->SMTPDebug = 2;

//Ask for HTML-friendly debug output
// $mail->Debugoutput = 'html';

//Set the hostname of the mail server
$mail->Host = 'smtp.gmail.com';
$mail->Port = 587;
$mail->SMTPSecure = 'tls';
$mail->SMTPAuth = true;
$mail->CharSet = 'UTF-8';
/*
$mail->Username = "leasing.xnear@gmail.com";
$mail->Password = "dinosaurioleasing13";
$mail->setFrom('contacto@xnear.cl', 'Xnear S.A.');
*/

$mail->Username = "contacto2@xnear.cl";
$mail->Password = "tfs.78134";
$mail->setFrom('contacto2@xnear.cl', 'Xnear S.A.');


//Set who the message is to be sent to
$mail->AddBCC("mbotello@xnear.cl", "Contacto Xnear");
$mail->AddBCC("contacto@xnear.cl", "Contacto Xnear");
$mail->addAddress($email, $nombre);

/*
$mail->Username = "xnear@xnear.cl";
$mail->Password = "e@sRMgBB6ugr";
$mail->setFrom('xnear', 'Xnear S.A.');

// $mail->addAddress("gcarrasco@xnear.cl", "Contacto Xnear");
// $mail->addAddress("contacto@xnear.cl", "Contacto Xnear");
$mail->addAddress("leasing@xnear.cl", "Contacto Leasing");
$mail->addAddress($email, $nombre);
*/

$mail->Subject = $motivo  ;
$cuerpo = "Estimado $nombre ( $email ), hemos recibido su mensaje : \n\n" ;
$cuerpo .= '"' . $mensaje . '"'. "\n\n" ;
$cuerpo .= "Nos pondremos en contacto con usted a la brevedad \n\n" ;
$cuerpo .= "Favor de no responder este correo \n\n\n" ;
$cuerpo .= "Atentamente \n" ;
$cuerpo .= "Xnear\n\n" ;

// $cuerpo = sanear_string( $cuerpo ) ;

// $mail->msgHTML(nl2br($cuerpo)) ;
$mail->Body = $cuerpo ;



if (!$mail->send()) {
	$jsondata['resultado'] = "Error";
	// $jsondata['errmsg'] = $mail->ErrorInfo ;

} else {
	$jsondata['resultado'] = "Exito" ;
	// $jsondata['errmsg'] = "" ;
}

echo json_encode($jsondata) ;

return false ;

